<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxConnectorShape (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxConnectorShape (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxConnectorShape.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.shape</a></div>
<h2 title="Class mxConnectorShape" class="title">Class mxConnectorShape</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="mxBasicShape.html" title="class in hk.quantr.mxgraph.shape">hk.quantr.mxgraph.shape.mxBasicShape</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.shape.mxConnectorShape</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="mxCurveShape.html" title="class in hk.quantr.mxgraph.shape">mxCurveShape</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxConnectorShape</span>
extends <a href="mxBasicShape.html" title="class in hk.quantr.mxgraph.shape">mxBasicShape</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxConnectorShape</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="../util/mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMarkerVector(java.util.List,boolean,double)">getMarkerVector</a></span>&#8203;(java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
               boolean&nbsp;source,
               double&nbsp;markerSize)</code></th>
<td class="colLast">
<div class="block">Hook to override creation of the vector that the marker is drawn along
 since it may not be the same as the vector between any two control
 points</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isRounded(java.util.Map)">isRounded</a></span>&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintMarker(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState,boolean)">paintMarker</a></span>&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
           boolean&nbsp;source)</code></th>
<td class="colLast">
<div class="block">Draws the marker for the given edge.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintPolyline(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,java.util.List,java.util.Map)">paintPolyline</a></span>&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
             java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
             java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.shape.mxBasicShape">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.shape.<a href="mxBasicShape.html" title="class in hk.quantr.mxgraph.shape">mxBasicShape</a></h3>
<code><a href="mxBasicShape.html#configureGraphics(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState,boolean)">configureGraphics</a>, <a href="mxBasicShape.html#createShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">createShape</a>, <a href="mxBasicShape.html#getFillColor(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">getFillColor</a>, <a href="mxBasicShape.html#getGradientBounds(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">getGradientBounds</a>, <a href="mxBasicShape.html#getStrokeColor(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">getStrokeColor</a>, <a href="mxBasicShape.html#hasGradient(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">hasGradient</a>, <a href="mxBasicShape.html#hasShadow(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">hasShadow</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxConnectorShape</h4>
<pre>public&nbsp;mxConnectorShape()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintShape</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paintShape&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                       <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="mxIShape.html#paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">paintShape</a></code>&nbsp;in interface&nbsp;<code><a href="mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="mxBasicShape.html#paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">paintShape</a></code>&nbsp;in class&nbsp;<code><a href="mxBasicShape.html" title="class in hk.quantr.mxgraph.shape">mxBasicShape</a></code></dd>
</dl>
</li>
</ul>
<a id="paintPolyline(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,java.util.List,java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintPolyline</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;paintPolyline&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                             java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
                             java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
</li>
</ul>
<a id="isRounded(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRounded</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isRounded&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
</li>
</ul>
<a id="paintMarker(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintMarker</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;paintMarker&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                           <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                           boolean&nbsp;source)</pre>
<div class="block">Draws the marker for the given edge.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the offset of the marker from the end of the line</dd>
</dl>
</li>
</ul>
<a id="getMarkerVector(java.util.List,boolean,double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMarkerVector</h4>
<pre class="methodSignature">protected&nbsp;<a href="../util/mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a>&nbsp;getMarkerVector&#8203;(java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
                                 boolean&nbsp;source,
                                 double&nbsp;markerSize)</pre>
<div class="block">Hook to override creation of the vector that the marker is drawn along
 since it may not be the same as the vector between any two control
 points</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>points</code> - the guide points of the connector</dd>
<dd><code>source</code> - whether the marker is at the source end</dd>
<dd><code>markerSize</code> - the scaled maximum length of the marker</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a line describing the vector the marker should be drawn along</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxConnectorShape.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
